package com.shkj.wcs.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wcs.domain.WcsDevice;
import com.shkj.wcs.vo.BaseDeviceVo;

import java.util.List;

/**
 * AGV接驳点位Mapper接口
 *
 * @author zjx
 * @date 2023-04-20
 */
public interface WcsDeviceMapper extends BaseMapper<WcsDevice> {
    /**
     * 查询设备管理
     *
     * @param id 设备管理主键
     * @return 设备管理
     */
    public  WcsDevice selectWcsDeviceById(Long id);

    /**
     * 查询设备管理列表
     *
     * @param WcsDevice 设备管
     * @return 设备管理集合
     */
    public  List<WcsDevice> selectWcsDeviceList(WcsDevice WcsDevice);

    /**
     * 新增设备管理
     *
     * @param WcsDevice 设备管理
     * @return 结果
     */
    public int insertWcsDevice(WcsDevice WcsDevice);

    /**
     * 修改设备管理
     *
     * @param WcsDevice 设备管理
     * @return 结果
     */
    public int updateWcsDevice(WcsDevice WcsDevice);

    /**
     * 删除设备管理
     *
     * @param id 设备管理主键
     * @return 结果
     */
    public int deleteWcsDeviceById(Long id);

    /**
     * 获取设备及冲孔机设备列表
     *
     * @param wcsDevice 设备管理
     * @return 设备管理集合
     */
    public List<BaseDeviceVo> selectAllDeviceList(WcsDevice wcsDevice);
}
